List OrgUsers - m3ter Documentation
List OrgUsers
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/users \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Codes
200
4XX
5XX
JSON Response Structure
{
"data": [
{
"id": "<string>",
"version": 123,
"firstName": "<string>",
"lastName": "<string>",
"contactNumber": "<string>",
"email": "<string>",
"organizations": [
"<string>"
],
"firstAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
"lastAcceptedTermsAndConditions": "2023-11-07T05:31:56Z",
"supportUser": true,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissionPolicy": [
{
"action": [],
"resource": [
"<string>"
]
}
],
"dtEndAccess": "2023-11-07T05:31:56Z"
}
],
"nextToken": "<string>"
}
Error Response
{
"message": "<string>"
}
Authorizations
Authorization string required in the header.
Path Parameters
- orgId: Required unique identifier of your Organization (UUID).
Query Parameters
- pageSize: Specifies the maximum number of OrgUsers to retrieve per page. Range:
1 <= x <= 200. - nextToken: Used to fetch the next page of OrgUsers in a paginated list.
- ids: List of ids to retrieve.
Response Structure
- data: Object array containing OrgUsers.
- nextToken: String for pagination.